#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './channelpropertiesdialog.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "channelpropertiesdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlcdnumber.h>
#include <knuminput.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"

/*
 *  Constructs a ChannelPropertiesDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ChannelPropertiesDialog::ChannelPropertiesDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ChannelPropertiesDialog" );
    setSizeGripEnabled( TRUE );
    ChannelPropertiesDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "ChannelPropertiesDialogLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    _url = new QLineEdit( groupBox3, "_url" );
    layout10->addWidget( _url );

    _guess = new QPushButton( groupBox3, "_guess" );
    layout10->addWidget( _guess );

    groupBox3Layout->addLayout( layout10, 0, 1 );

    textLabel1_2 = new QLabel( groupBox3, "textLabel1_2" );

    groupBox3Layout->addWidget( textLabel1_2, 0, 0 );

    _description = new QLineEdit( groupBox3, "_description" );

    groupBox3Layout->addWidget( _description, 1, 1 );

    textLabel2_2 = new QLabel( groupBox3, "textLabel2_2" );

    groupBox3Layout->addWidget( textLabel2_2, 1, 0 );

    _enabled = new QCheckBox( groupBox3, "_enabled" );
    _enabled->setChecked( TRUE );

    groupBox3Layout->addMultiCellWidget( _enabled, 2, 2, 0, 1 );

    _globalControls = new QCheckBox( groupBox3, "_globalControls" );

    groupBox3Layout->addMultiCellWidget( _globalControls, 3, 3, 0, 1 );

    ChannelPropertiesDialogLayout->addWidget( groupBox3, 2, 0 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    _number = new QLCDNumber( groupBox2, "_number" );
    _number->setMinimumSize( QSize( 50, 30 ) );
    _number->setPaletteForegroundColor( QColor( 0, 255, 0 ) );
    _number->setPaletteBackgroundColor( QColor( 0, 0, 0 ) );
    _number->setFrameShape( QLCDNumber::Box );
    _number->setLineWidth( 1 );
    _number->setMidLineWidth( 1 );
    _number->setNumDigits( 3 );
    _number->setSegmentStyle( QLCDNumber::Flat );
    layout11->addWidget( _number );

    Layout7 = new QHBoxLayout( 0, 0, 6, "Layout7"); 

    TextLabel1 = new QLabel( groupBox2, "TextLabel1" );
    Layout7->addWidget( TextLabel1 );

    _name = new QLineEdit( groupBox2, "_name" );
    Layout7->addWidget( _name );
    layout11->addLayout( Layout7 );

    groupBox2Layout->addLayout( layout11, 0, 0 );

    ChannelPropertiesDialogLayout->addWidget( groupBox2, 0, 0 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    textLabel2 = new QLabel( groupBox1, "textLabel2" );
    layout8->addWidget( textLabel2 );
    Spacer5 = new QSpacerItem( 116, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( Spacer5 );

    _freq = new KDoubleNumInput( groupBox1, "_freq" );
    _freq->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, _freq->sizePolicy().hasHeightForWidth() ) );
    _freq->setMinimumSize( QSize( 110, 10 ) );
    _freq->setBackgroundOrigin( KDoubleNumInput::WindowOrigin );
    layout8->addWidget( _freq );

    groupBox1Layout->addMultiCellLayout( layout8, 0, 0, 0, 1 );

    Layout11 = new QVBoxLayout( 0, 0, 6, "Layout11"); 

    _freqUp = new QPushButton( groupBox1, "_freqUp" );
    Layout11->addWidget( _freqUp );

    _freqDown = new QPushButton( groupBox1, "_freqDown" );
    Layout11->addWidget( _freqDown );

    groupBox1Layout->addLayout( Layout11, 0, 2 );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );

    groupBox1Layout->addWidget( textLabel1, 2, 0 );

    textLabel3 = new QLabel( groupBox1, "textLabel3" );

    groupBox1Layout->addWidget( textLabel3, 1, 0 );

    _source = new QComboBox( FALSE, groupBox1, "_source" );

    groupBox1Layout->addMultiCellWidget( _source, 1, 1, 1, 2 );

    _encoding = new QComboBox( FALSE, groupBox1, "_encoding" );

    groupBox1Layout->addMultiCellWidget( _encoding, 2, 2, 1, 2 );

    ChannelPropertiesDialogLayout->addWidget( groupBox1, 1, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    ChannelPropertiesDialogLayout->addLayout( Layout1, 4, 0 );
    spacer6 = new QSpacerItem( 21, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ChannelPropertiesDialogLayout->addItem( spacer6, 3, 0 );
    languageChange();
    resize( QSize(457, 479).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // buddies
    TextLabel1->setBuddy( _name );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChannelPropertiesDialog::~ChannelPropertiesDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChannelPropertiesDialog::languageChange()
{
    setCaption( tr2i18n( "Channel Properties" ) );
    QToolTip::add( this, tr2i18n( "Only enabled channels are shown in sidebar if configured in channels tab" ) );
    groupBox3->setTitle( tr2i18n( "Miscellaneous" ) );
    _guess->setText( tr2i18n( "&Guess" ) );
    textLabel1_2->setText( tr2i18n( "URL:" ) );
    textLabel2_2->setText( tr2i18n( "Description:" ) );
    _enabled->setText( tr2i18n( "En&abled" ) );
    _globalControls->setText( tr2i18n( "Channel uses global control settings" ) );
    groupBox2->setTitle( tr2i18n( "Channel" ) );
    QToolTip::add( _number, tr2i18n( "Station number" ) );
    TextLabel1->setText( tr2i18n( "&Name:" ) );
    QToolTip::add( _name, tr2i18n( "Station name" ) );
    groupBox1->setTitle( tr2i18n( "Properties" ) );
    textLabel2->setText( tr2i18n( "Frequency:" ) );
    _freq->setSuffix( tr2i18n( " MHz" ) );
    QToolTip::add( _freq, tr2i18n( "Station frequency" ) );
    QWhatsThis::add( _freq, QString::null );
    _freqUp->setText( tr2i18n( "&Up" ) );
    QToolTip::add( _freqUp, tr2i18n( "Increase frequency" ) );
    _freqDown->setText( tr2i18n( "&Down" ) );
    QToolTip::add( _freqDown, tr2i18n( "Decrease frequency" ) );
    textLabel1->setText( tr2i18n( "Encoding:" ) );
    textLabel3->setText( tr2i18n( "Source:" ) );
    QToolTip::add( _source, tr2i18n( "Select video source here" ) );
    QToolTip::add( _encoding, tr2i18n( "Select station encoding here" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    QToolTip::add( buttonOk, tr2i18n( "Accept changes" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    QToolTip::add( buttonCancel, tr2i18n( "Do not accept changes" ) );
}

void ChannelPropertiesDialog::freqUp()
{
    qWarning( "ChannelPropertiesDialog::freqUp(): Not implemented yet" );
}

void ChannelPropertiesDialog::freqDown()
{
    qWarning( "ChannelPropertiesDialog::freqDown(): Not implemented yet" );
}

void ChannelPropertiesDialog::setFreqStep(double)
{
    qWarning( "ChannelPropertiesDialog::setFreqStep(double): Not implemented yet" );
}

void ChannelPropertiesDialog::accept()
{
    qWarning( "ChannelPropertiesDialog::accept(): Not implemented yet" );
}

void ChannelPropertiesDialog::reject()
{
    qWarning( "ChannelPropertiesDialog::reject(): Not implemented yet" );
}

#include "channelpropertiesdialog.moc"
