#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './pluginwidget.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pluginwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PluginWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PluginWidget::PluginWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PluginWidget" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)2, 0, 0, sizePolicy().hasHeightForWidth() ) );
    PluginWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "PluginWidgetLayout"); 

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    _configureMisc = new KPushButton( tab, "_configureMisc" );
    _configureMisc->setEnabled( TRUE );
    _configureMisc->setMinimumSize( QSize( 0, 0 ) );

    tabLayout->addWidget( _configureMisc, 1, 1 );
    spacer2 = new QSpacerItem( 55, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tabLayout->addItem( spacer2, 1, 2 );
    Spacer1 = new QSpacerItem( 85, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tabLayout->addItem( Spacer1, 1, 0 );

    _miscListView = new QListView( tab, "_miscListView" );
    _miscListView->addColumn( tr2i18n( "Name" ) );
    _miscListView->addColumn( tr2i18n( "Description" ) );
    _miscListView->addColumn( tr2i18n( "Author" ) );
    _miscListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, _miscListView->sizePolicy().hasHeightForWidth() ) );
    _miscListView->setAllColumnsShowFocus( TRUE );

    tabLayout->addMultiCellWidget( _miscListView, 0, 0, 0, 2 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 
    spacer6_2 = new QSpacerItem( 128, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tabLayout_2->addItem( spacer6_2, 1, 2 );

    _configureVbi = new QPushButton( tab_2, "_configureVbi" );

    tabLayout_2->addWidget( _configureVbi, 1, 1 );
    spacer6_2_2 = new QSpacerItem( 129, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tabLayout_2->addItem( spacer6_2_2, 1, 0 );

    _vbiListView = new QListView( tab_2, "_vbiListView" );
    _vbiListView->addColumn( tr2i18n( "Name" ) );
    _vbiListView->addColumn( tr2i18n( "Description" ) );
    _vbiListView->addColumn( tr2i18n( "Author" ) );
    _vbiListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, _vbiListView->sizePolicy().hasHeightForWidth() ) );
    _vbiListView->setAllColumnsShowFocus( TRUE );

    tabLayout_2->addMultiCellWidget( _vbiListView, 0, 0, 0, 2 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    PluginWidgetLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( QSize(689, 427).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PluginWidget::~PluginWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PluginWidget::languageChange()
{
    _configureMisc->setText( tr2i18n( "Configure Selected Plugin..." ) );
    QToolTip::add( _configureMisc, tr2i18n( "Configure the selected plugin" ) );
    QWhatsThis::add( _configureMisc, tr2i18n( "Click on one of the plugins from the list above.  If the plugin is configurable, pressing this button will allow you to set the options." ) );
    _miscListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    _miscListView->header()->setLabel( 1, tr2i18n( "Description" ) );
    _miscListView->header()->setLabel( 2, tr2i18n( "Author" ) );
    tabWidget2->changeTab( tab, tr2i18n( "Misc Plugins" ) );
    _configureVbi->setText( tr2i18n( "Configure Selected Plugin..." ) );
    QToolTip::add( _configureVbi, tr2i18n( "Launch plugin configuration dialog" ) );
    QWhatsThis::add( _configureVbi, tr2i18n( "Launches plugin configuration dialog. Disabled if the currently selected plugin is not configurable." ) );
    _vbiListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    _vbiListView->header()->setLabel( 1, tr2i18n( "Description" ) );
    _vbiListView->header()->setLabel( 2, tr2i18n( "Author" ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "VBI Decoder" ) );
}

#include "pluginwidget.moc"
