#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './v4lplugincfg.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "v4lplugincfg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a V4LPluginCfg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
V4LPluginCfg::V4LPluginCfg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "V4LPluginCfg" );
    V4LPluginCfgLayout = new QGridLayout( this, 1, 1, 11, 6, "V4LPluginCfgLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    _autoConfig = new QCheckBox( groupBox3, "_autoConfig" );

    groupBox3Layout->addWidget( _autoConfig, 0, 0 );

    V4LPluginCfgLayout->addMultiCellWidget( groupBox3, 0, 0, 0, 1 );

    GDMethods = new QButtonGroup( this, "GDMethods" );
    GDMethods->setColumnLayout(0, Qt::Vertical );
    GDMethods->layout()->setSpacing( 6 );
    GDMethods->layout()->setMargin( 11 );
    GDMethodsLayout = new QGridLayout( GDMethods->layout() );
    GDMethodsLayout->setAlignment( Qt::AlignTop );

    _xvshm = new QRadioButton( GDMethods, "_xvshm" );

    GDMethodsLayout->addWidget( _xvshm, 0, 0 );

    _x11shm = new QRadioButton( GDMethods, "_x11shm" );

    GDMethodsLayout->addWidget( _x11shm, 3, 0 );

    _gl = new QRadioButton( GDMethods, "_gl" );

    GDMethodsLayout->addWidget( _gl, 2, 0 );

    _x11 = new QRadioButton( GDMethods, "_x11" );

    GDMethodsLayout->addWidget( _x11, 4, 0 );

    _xvideo = new QRadioButton( GDMethods, "_xvideo" );

    GDMethodsLayout->addWidget( _xvideo, 1, 0 );

    V4LPluginCfgLayout->addWidget( GDMethods, 2, 0 );

    overlay = new QGroupBox( this, "overlay" );
    overlay->setColumnLayout(0, Qt::Vertical );
    overlay->layout()->setSpacing( 6 );
    overlay->layout()->setMargin( 11 );
    overlayLayout = new QVBoxLayout( overlay->layout() );
    overlayLayout->setAlignment( Qt::AlignTop );

    _overlay = new QCheckBox( overlay, "_overlay" );
    overlayLayout->addWidget( _overlay );

    _changeRes = new QCheckBox( overlay, "_changeRes" );
    overlayLayout->addWidget( _changeRes );

    textLabel1 = new QLabel( overlay, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    overlayLayout->addWidget( textLabel1 );

    V4LPluginCfgLayout->addWidget( overlay, 2, 1 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    _frameRateFull = new QRadioButton( buttonGroup2, "_frameRateFull" );

    buttonGroup2Layout->addWidget( _frameRateFull, 0, 0 );

    _frameRateHalf = new QRadioButton( buttonGroup2, "_frameRateHalf" );

    buttonGroup2Layout->addWidget( _frameRateHalf, 1, 0 );

    V4LPluginCfgLayout->addMultiCellWidget( buttonGroup2, 1, 1, 0, 1 );
    languageChange();
    resize( QSize(602, 396).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _autoConfig, SIGNAL( toggled(bool) ), overlay, SLOT( setDisabled(bool) ) );
    connect( _autoConfig, SIGNAL( toggled(bool) ), GDMethods, SLOT( setDisabled(bool) ) );
    connect( _overlay, SIGNAL( toggled(bool) ), buttonGroup2, SLOT( setDisabled(bool) ) );
    connect( _overlay, SIGNAL( toggled(bool) ), GDMethods, SLOT( setDisabled(bool) ) );
    connect( _autoConfig, SIGNAL( toggled(bool) ), buttonGroup2, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
V4LPluginCfg::~V4LPluginCfg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void V4LPluginCfg::languageChange()
{
    setCaption( tr2i18n( "Video4Linux Plugin Settings" ) );
    groupBox3->setTitle( tr2i18n( "Autoconfiguration" ) );
    _autoConfig->setText( tr2i18n( "Autoconfigure video display method" ) );
    QToolTip::add( _autoConfig, tr2i18n( "Autoselect video display method" ) );
    GDMethods->setTitle( tr2i18n( "Grab && Display Method" ) );
    _xvshm->setText( tr2i18n( "XVideo with shared memory\n"
"(recommended)" ) );
    QToolTip::add( _xvshm, tr2i18n( "Preferred, deinterlacing is possible" ) );
    _x11shm->setText( tr2i18n( "X11 with shared memory" ) );
    QToolTip::add( _x11shm, tr2i18n( "No deinterlacing" ) );
    _gl->setText( tr2i18n( "OpenGL (experimental)" ) );
    QToolTip::add( _gl, tr2i18n( "No deinterlacing" ) );
    _x11->setText( tr2i18n( "X11" ) );
    QToolTip::add( _x11, tr2i18n( "No deinterlacing" ) );
    _xvideo->setText( tr2i18n( "XVideo (recommended)" ) );
    QToolTip::add( _xvideo, tr2i18n( "Deinterlacing is possible" ) );
    overlay->setTitle( tr2i18n( "&Overlay" ) );
    _overlay->setText( tr2i18n( "Prefer video overlay if available" ) );
    QToolTip::add( _overlay, tr2i18n( "Fallback for really slow computers" ) );
    _changeRes->setText( tr2i18n( "Change display resolution for fullscreen video" ) );
    textLabel1->setText( tr2i18n( "<b>Warning:</b> Changing the display resolution may mess up window sizes and positions of all windows on the desktop." ) );
    buttonGroup2->setTitle( tr2i18n( "Frame Rate" ) );
    _frameRateFull->setText( tr2i18n( "Full frame rate (50fps PAL, 60fps NTSC)" ) );
    QToolTip::add( _frameRateFull, tr2i18n( "Higher CPU usage, only makes sense in conjunction with deinterlace filters" ) );
    QWhatsThis::add( _frameRateFull, QString::null );
    _frameRateHalf->setText( tr2i18n( "Half frame rate (25fps PAL, 30fps NTSC)" ) );
    QToolTip::add( _frameRateHalf, tr2i18n( "Lower CPU usage, less image quality when deinterlacing" ) );
    QWhatsThis::add( _frameRateHalf, QString::null );
}

#include "v4lplugincfg.moc"
